Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Publish the elements with the given IDs.

Publish the elements with the given IDs. Publishes the architecture elements with the given ids. The ids are instance ids (the id of one version of an element), not logical ElementIds. All or nothing: when one of the drafts cannot be published, none is, and no event is sent. A relationship removed in a draft is removed from the other element as well - from its published state and its draft. A relationship the published state received after the draft was derived from it is kept. Readers without the Manager or Designer role see relationships added or removed in a draft only once it is published.

Security: Manager or Designer of the process space, or an owner of the affected architecture element(s).

POST/v1/warehouses/{warehouseId}/architectureElements/publish
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

Warehouse-Id

Request-Body
erforderlichapplication/json

Instance ids of the ArchitectureElements to publish

Array von string
string
Antworten
200

Published ArchitectureElements

Array von ArchitectureElement
conceptualClassArchitectureElementTypeerforderlich
Erlaubt:ApplicationCollaborationApplicationComponentApplicationEventApplicationFunctionApplicationInteractionApplicationInterfaceApplicationProcessApplicationServiceArchitectureElementArtifactAssessmentBusinessActorBusinessCollaborationBusinessEventBusinessFunctionBusinessInteractionBusinessInterfaceBusinessObjectBusinessProcessBusinessRoleBusinessServiceCapabilityCommunicationNetworkCommunicationPathConstraintContractCourseOfActionDataObjectDeliverableDeviceDistributionNetworkDriverEquipmentFacilityGapGoalGroupingImplementationEventLocationMaterialMeaningNodeOutcomePlateauPrincipleProductRepresentationRequirementResourceStakeholderSystemSoftwareTechnologyCollaborationTechnologyEventTechnologyFunctionTechnologyInteractionTechnologyInterfaceTechnologyProcessTechnologyServiceValueValueStreamWorkPackage
createdHistoryerforderlich
Eigenschaften anzeigen
atstringerforderlich
bystringerforderlich
elementIdstringerforderlich
externalIdstring
groupsArchitectureGroup[]erforderlich
Eigenschaften anzeigen
Array von ArchitectureGroup
corebooleanerforderlich
descriptionTranslatedString
Eigenschaften anzeigen
defaultLanguagestringerforderlich
translationsTranslation[]erforderlich
Eigenschaften anzeigen
Array von Translation
languagestringerforderlich
valuestringerforderlich
keystringerforderlich
labelTranslatedString
Eigenschaften anzeigen
defaultLanguagestringerforderlich
translationsTranslation[]erforderlich
hasPredecessorbooleanerforderlich
idstringerforderlich
lastValidationHistory
Eigenschaften anzeigen
atstringerforderlich
bystringerforderlich
layerArchitectureElementLayererforderlich
Erlaubt:ApplicationLayerBusinessLayerGenericLayerImplementationAndMigrationLayerMotivationElementsStrategyLayerTechnologyLayer
modifiedHistory
Eigenschaften anzeigen
atstringerforderlich
bystringerforderlich
ownersEntityId[]erforderlich
Eigenschaften anzeigen
Array von EntityId
typeEntityIdTypeerforderlich
Erlaubt:GroupIdOrgRoleIdOrgUnitIdUserId
valuestringerforderlich
principalIsOwnerbooleanerforderlich
propertiesArchitectureProperty[]erforderlich
Eigenschaften anzeigen
Array von ArchitectureProperty
enumKeystring
metaArchitectureMetaPropertyerforderlich
Eigenschaften anzeigen
corebooleanerforderlich
descriptionTranslatedString
groupstring
keystringerforderlich
labelTranslatedString
typeArchitecturePropertyTypeerforderlich
Erlaubt:BBCodeBooleanDateDateTimeDecimalEnumIntegerStringTime
validationArchitecturePropertyValidation
Eigenschaften anzeigen
enumLiteralsArchitectureEnumLiteral[]
Eigenschaften anzeigen
Array von ArchitectureEnumLiteral
deprecatedbooleanerforderlich
keystringerforderlich
labelTranslatedStringerforderlich
literalsTranslatedString[]
lowerBoundstring
mandatorybooleanerforderlich
upperBoundstring
valueTranslatedString
Eigenschaften anzeigen
defaultLanguagestringerforderlich
translationsTranslation[]erforderlich
publishedHistory
Eigenschaften anzeigen
atstringerforderlich
bystringerforderlich
referencesArchitectureReference[]erforderlich
Eigenschaften anzeigen
Array von ArchitectureReference
metaArchitectureMetaReferenceerforderlich
Eigenschaften anzeigen
corebooleanerforderlich
descriptionTranslatedString
groupstring
keystringerforderlich
labelTranslatedString
multiplicityArchitectureReferenceMultiplicityerforderlich
Erlaubt:ExactlyOneOneOrMoreZeroOrMoreZeroOrOne
targetClassesstring[]erforderlich
targetReference
Eigenschaften anzeigen
assignedArchitectureElementRefsArchitectureElementRef[]erforderlich
Eigenschaften anzeigen
Array von ArchitectureElementRef
conceptualClassArchitectureElementTypeerforderlich
Erlaubt:ApplicationCollaborationApplicationComponentApplicationEventApplicationFunctionApplicationInteractionApplicationInterfaceApplicationProcessApplicationServiceArchitectureElementArtifactAssessmentBusinessActorBusinessCollaborationBusinessEventBusinessFunctionBusinessInteractionBusinessInterfaceBusinessObjectBusinessProcessBusinessRoleBusinessServiceCapabilityCommunicationNetworkCommunicationPathConstraintContractCourseOfActionDataObjectDeliverableDeviceDistributionNetworkDriverEquipmentFacilityGapGoalGroupingImplementationEventLocationMaterialMeaningNodeOutcomePlateauPrincipleProductRepresentationRequirementResourceStakeholderSystemSoftwareTechnologyCollaborationTechnologyEventTechnologyFunctionTechnologyInteractionTechnologyInterfaceTechnologyProcessTechnologyServiceValueValueStreamWorkPackage
elementIdstringerforderlich
referenceDirectionReferenceDirectionerforderlich
Erlaubt:BidirectionalNoneSourceTarget
referenceKindReferenceKinderforderlich
Erlaubt:AccessAggregationArchitectureReferenceAssignmentAssociationCompositionFlowInfluenceRealizationServingSpecializationTriggering
specializationstring
createdHistoryerforderlich
linkedElementsRefId[]erforderlich
modifiedHistory
propertiesArchitectureProperty[]erforderlich
relationshipIdstringerforderlich
representationRefId
Eigenschaften anzeigen
typestringerforderlich
specializationstring
validityStateArchitectureValidityStateerforderlich
Erlaubt:DraftInvalidNextUpcomingValid
visibilityVisibilityerforderlich
Eigenschaften anzeigen
lastChangeHistoryerforderlich
Eigenschaften anzeigen
atstringerforderlich
bystringerforderlich
visiblebooleanerforderlich
400

Empty list, or an id is no draft, has a draft representation or a class the manifest lacks

string
403

Forbidden: insufficient permissions

string
404

Warehouse not found

string
409

Another change is still writing one of the drafts, or the list is too long to lock its drafts in time (publish it in parts); nothing is published

string
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X POST 'https://goto.bpanda.com/api/v1/warehouses/string/architectureElements/publish' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '[
  "string"
]'
Antwort
[
  {
    "conceptualClass": "ApplicationCollaboration",
    "created": {
      "at": "string",
      "by": "string"
    },
    "elementId": "string",
    "externalId": "string",
    "groups": [
      {
        "core": true,
        "description": {
          "defaultLanguage": "string",
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ]
        },
        "key": "string",
        "label": {
          "defaultLanguage": "string",
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ]
        }
      }
    ],
    "hasPredecessor": true,
    "id": "string",
    "lastValidation": {
      "at": "string",
      "by": "string"
    },
    "layer": "ApplicationLayer",
    "modified": {
      "at": "string",
      "by": "string"
    },
    "owners": [
      {
        "type": "GroupId",
        "value": "string"
      }
    ],
    "principalIsOwner": true,
    "properties": [
      {
        "enumKey": "string",
        "meta": {
          "core": true,
          "description": {
            "defaultLanguage": "string",
            "translations": [
              {
                "language": "string",
                "value": "string"
              }
            ]
          },
          "group": "string",
          "key": "string",
          "label": {
            "defaultLanguage": "string",
            "translations": [
              {
                "language": "string",
                "value": "string"
              }
            ]
          },
          "type": "BBCode",
          "validation": {
            "enumLiterals": [
              {
                "deprecated": true,
                "key": "string",
                "label": {
                  "defaultLanguage": "string",
                  "translations": [
                    {
                      "language": "string",
                      "value": "string"
                    }
                  ]
                }
              }
            ],
            "literals": [
              {
                "defaultLanguage": "string",
                "translations": [
                  {
                    "language": "string",
                    "value": "string"
                  }
                ]
              }
            ],
            "lowerBound": "string",
            "mandatory": true,
            "upperBound": "string"
          }
        },
        "value": {
          "defaultLanguage": "string",
          "translations": [
            {
              "language": "string",
              "value": "string"
            }
          ]
        }
      }
    ],
    "published": {
      "at": "string",
      "by": "string"
    },
    "references": [
      {
        "meta": {
          "core": true,
          "description": {
            "defaultLanguage": "string",
            "translations": [
              {
                "language": "string",
                "value": "string"
              }
            ]
          },
          "group": "string",
          "key": "string",
          "label": {
            "defaultLanguage": "string",
            "translations": [
              {
                "language": "string",
                "value": "string"
              }
            ]
          },
          "multiplicity": "ExactlyOne",
          "targetClasses": [
            "string"
          ]
        },
        "target": {
          "assignedArchitectureElementRefs": [
            {
              "conceptualClass": "ApplicationCollaboration",
              "elementId": "string",
              "referenceDirection": "Bidirectional",
              "referenceKind": "Access",
              "specialization": "string"
            }
          ],
          "created": {
            "at": "string",
            "by": "string"
          },
          "linkedElements": [
            {
              "type": "string"
            }
          ],
          "modified": {
            "at": "string",
            "by": "string"
          },
          "properties": [
            {
              "enumKey": "string",
              "meta": {
                "core": true,
                "description": {
                  "defaultLanguage": "string",
                  "translations": [
                    {
                      "language": "string",
                      "value": "string"
                    }
                  ]
                },
                "group": "string",
                "key": "string",
                "label": {
                  "defaultLanguage": "string",
                  "translations": [
                    {
                      "language": "string",
                      "value": "string"
                    }
                  ]
                },
                "type": "BBCode",
                "validation": {
                  "enumLiterals": [
                    {
                      "deprecated": true,
                      "key": "string",
                      "label": {
                        "defaultLanguage": "string",
                        "translations": [
                          {
                            "language": "string",
                            "value": "string"
                          }
                        ]
                      }
                    }
                  ],
                  "literals": [
                    {
                      "defaultLanguage": "string",
                      "translations": [
                        {
                          "language": "string",
                          "value": "string"
                        }
                      ]
                    }
                  ],
                  "lowerBound": "string",
                  "mandatory": true,
                  "upperBound": "string"
                }
              },
              "value": {
                "defaultLanguage": "string",
                "translations": [
                  {
                    "language": "string",
                    "value": "string"
                  }
                ]
              }
            }
          ],
          "relationshipId": "string"
        }
      }
    ],
    "representation": {
      "type": "string"
    },
    "specialization": "string",
    "validityState": "Draft",
    "visibility": {
      "lastChange": {
        "at": "string",
        "by": "string"
      },
      "visible": true
    }
  }
]

War diese Seite hilfreich?